Ubuntu 6283 Published by

An OpenJDK regression update has been released for Ubuntu Linux 18.04 LTS, 20.04 LTS, 22.04 LTS, and 23.04.



[USN-6263-2] OpenJDK regression


==========================================================================
Ubuntu Security Notice USN-6263-2
August 30, 2023

openjdk-lts, openjdk-17 regression
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 23.04
- Ubuntu 22.04 LTS
- Ubuntu 20.04 LTS
- Ubuntu 18.04 LTS (Available with Ubuntu Pro)

Summary:

USN-6263-1 introduced a regression in OpenJDK 11 and OpenJDK 17.

Software Description:
- openjdk-17: Open Source Java implementation
- openjdk-lts: Open Source Java implementation

Details:

USN-6263-1 fixed vulnerabilities in OpenJDK. Unfortunately, that update
introduced a regression when opening APK, ZIP or JAR files in OpenJDK 11
and OpenJDK 17. This update fixes the problem.

We apologize for the inconvenience.

Original advisory details:

Motoyasu Saburi discovered that OpenJDK incorrectly handled special
characters in file name parameters. An attacker could possibly use
this issue to insert, edit or obtain sensitive information. This issue
only affected OpenJDK 11 and OpenJDK 17. (CVE-2023-22006)

Eirik Bjørsnøs discovered that OpenJDK incorrectly handled certain ZIP
archives. An attacker could possibly use this issue to cause a denial
of service. This issue only affected OpenJDK 11 and OpenJDK 17.
(CVE-2023-22036)

David Stancu discovered that OpenJDK had a flaw in the AES cipher
implementation. An attacker could possibly use this issue to obtain
sensitive information. This issue only affected OpenJDK 11 and OpenJDK 17.
(CVE-2023-22041)

Zhiqiang Zang discovered that OpenJDK incorrectly handled array accesses
when using the binary '%' operator. An attacker could possibly use this
issue to obtain sensitive information. This issue only affected OpenJDK 17.
(CVE-2023-22044)

Zhiqiang Zang discovered that OpenJDK incorrectly handled array accesses.
An attacker could possibly use this issue to obtain sensitive information.
(CVE-2023-22045)

It was discovered that OpenJDK incorrectly sanitized URIs strings. An
attacker could possibly use this issue to insert, edit or obtain sensitive
information. (CVE-2023-22049)

It was discovered that OpenJDK incorrectly handled certain glyphs. An
attacker could possibly use this issue to cause a denial of service.
This issue only affected OpenJDK 11 and OpenJDK 17.
(CVE-2023-25193)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 23.04:
openjdk-11-jdk 11.0.20.1+1-0ubuntu1~23.04
openjdk-11-jre 11.0.20.1+1-0ubuntu1~23.04
openjdk-11-jre-headless 11.0.20.1+1-0ubuntu1~23.04
openjdk-11-jre-zero 11.0.20.1+1-0ubuntu1~23.04
openjdk-17-jdk 17.0.8.1+1~us1-0ubuntu1~23.04
openjdk-17-jre 17.0.8.1+1~us1-0ubuntu1~23.04
openjdk-17-jre-headless 17.0.8.1+1~us1-0ubuntu1~23.04
openjdk-17-jre-zero 17.0.8.1+1~us1-0ubuntu1~23.04

Ubuntu 22.04 LTS:
openjdk-11-jdk 11.0.20.1+1-0ubuntu1~22.04
openjdk-11-jre 11.0.20.1+1-0ubuntu1~22.04
openjdk-11-jre-headless 11.0.20.1+1-0ubuntu1~22.04
openjdk-11-jre-zero 11.0.20.1+1-0ubuntu1~22.04
openjdk-17-jdk 17.0.8.1+1~us1-0ubuntu1~22.04
openjdk-17-jre 17.0.8.1+1~us1-0ubuntu1~22.04
openjdk-17-jre-headless 17.0.8.1+1~us1-0ubuntu1~22.04
openjdk-17-jre-zero 17.0.8.1+1~us1-0ubuntu1~22.04

Ubuntu 20.04 LTS:
openjdk-11-jdk 11.0.20.1+1-0ubuntu1~20.04
openjdk-11-jre 11.0.20.1+1-0ubuntu1~20.04
openjdk-11-jre-headless 11.0.20.1+1-0ubuntu1~20.04
openjdk-11-jre-zero 11.0.20.1+1-0ubuntu1~20.04
openjdk-17-jdk 17.0.8.1+1~us1-0ubuntu1~20.04
openjdk-17-jre 17.0.8.1+1~us1-0ubuntu1~20.04
openjdk-17-jre-headless 17.0.8.1+1~us1-0ubuntu1~20.04
openjdk-17-jre-zero 17.0.8.1+1~us1-0ubuntu1~20.04

Ubuntu 18.04 LTS (Available with Ubuntu Pro):
openjdk-11-jdk 11.0.20.1+1-0ubuntu1~18.04
openjdk-11-jre 11.0.20.1+1-0ubuntu1~18.04
openjdk-11-jre-headless 11.0.20.1+1-0ubuntu1~18.04
openjdk-11-jre-zero 11.0.20.1+1-0ubuntu1~18.04
openjdk-17-jdk 17.0.8.1+1~us1-0ubuntu1~18.04
openjdk-17-jre 17.0.8.1+1~us1-0ubuntu1~18.04
openjdk-17-jre-headless 17.0.8.1+1~us1-0ubuntu1~18.04
openjdk-17-jre-zero 17.0.8.1+1~us1-0ubuntu1~18.04

This update uses a new upstream release, which includes additional
bug fixes. After a standard system update you need to restart any
Java applications or applets to make all the necessary changes.

References:
https://ubuntu.com/security/notices/USN-6263-2
https://ubuntu.com/security/notices/USN-6263-1
https://launchpad.net/bugs/2032865

Package Information:
https://launchpad.net/ubuntu/+source/openjdk-17/17.0.8.1+1~us1-0ubuntu1~23.04
https://launchpad.net/ubuntu/+source/openjdk-lts/11.0.20.1+1-0ubuntu1~23.04
https://launchpad.net/ubuntu/+source/openjdk-17/17.0.8.1+1~us1-0ubuntu1~22.04
https://launchpad.net/ubuntu/+source/openjdk-lts/11.0.20.1+1-0ubuntu1~22.04
https://launchpad.net/ubuntu/+source/openjdk-17/17.0.8.1+1~us1-0ubuntu1~20.04
https://launchpad.net/ubuntu/+source/openjdk-lts/11.0.20.1+1-0ubuntu1~20.04